Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.any23.extractor.microdata
Enum ItemPropValue.Type

    java.lang.Object
      java.lang.Enum<ItemPropValue.Type>
          org.apache.any23.extractor.microdata.ItemPropValue.Type

All Implemented Interfaces:
  Serializable, Comparable<ItemPropValue.Type>

Enclosing class:
  ItemPropValue

    public static enum ItemPropValue.Type

extends Enum<ItemPropValue.Type>

Supported types.

Enum Constant Summary
`Date`
`Link`
`Nested`
`Plain`

Method Summary
`static ItemPropValue.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ItemPropValue.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Plain

    public static final ItemPropValue.Type Plain

### Link

    public static final ItemPropValue.Type Link

### Date

    public static final ItemPropValue.Type Date

### Nested

    public static final ItemPropValue.Type Nested

Method Detail

### values

    public static ItemPropValue.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ItemPropValue.Type c : ItemPropValue.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ItemPropValue.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.